/*!
 * Copyright (c) Microsoft Corporation and contributors. All rights reserved.
 * Licensed under the MIT License.
 */
import { ILoader, ILoaderOptions, IProxyLoaderFactory } from "@fluidframework/container-definitions";
import { IFluidResolvedUrl } from "@fluidframework/driver-definitions";
/**
 * Factory for creating the proxy loader inside web worker. Use this if your environment
 * supports web worker.
 */
export declare class WebWorkerLoaderFactory implements IProxyLoaderFactory {
    readonly environment = "webworker";
    createProxyLoader(id: string, options: ILoaderOptions, resolved: IFluidResolvedUrl, fromSequenceNumber: number): Promise<ILoader>;
}
//# sourceMappingURL=webWorkerLoaderFactory.d.ts.map